#!/bin/sh
# This is a general installation script for OPT-packages
opt=lptkeys
if [ ! -f config.txt ]
then
  echo "FEHLER!"
  echo "Bitte alle Dateien mit Unterverzeichnissen ins FLI4L-Verzeichnis kopieren."
  echo "Diese Datei mu im gleichen Verzeichnis wie die config.txt liegen!"
  exit 1
fi

if [ ! -f "config.$opt" -o ! -f "opt/opt.$opt" ]
then
  echo "FEHLER!"
  echo "Die Datei config.%opt% wurde nicht gefunden! Wurde dieses Setup schonmal"
  echo "ausgefrt? Bitte nicht zweimal starten!"
  exit 2
fi

echo "Paket in Ordung, passe Konfiguration an..."
cat "config.$opt" >> config.txt
cat "opt/opt.$opt" >> opt/opt.txt
rm "config.$opt"
rm "opt/opt.$opt"

echo "Done! Diese Datei kann jetzt gelscht werden!"

